<?
/*
*******************************
 IP-SYMCON Event Scripting
*******************************
File     : Register_Images.ips.php
Trigger  :
Interval :
Author   : HJH
Project  : Utilities
Date     : 29.01.08
*/


// *****************************************************************************
// Dieses Skript dient der Registrierung von Bild-Dateien im Image-Pool.
// Es durchsucht den angegebenen Pfad einschlielich aller Unterverzeichnisse.
//
// ============================== !!! ACHTUNG !!! ==============================
// Die verwendete Funktion arbeitet rekursiv. Wer das Programm abndern mchte,
// sollte unbedingt mit Rekursionsverfahren und der damit verbundenen
// Problematik vertraut sein.
// *****************************************************************************

// hier den Pfad zu den Bild-Dateien anpassen!
$imagePath = "X:/Pov-Ray/Scenes/Buttons/";



searchDir($imagePath);



function searchDir($imagePath)
{
 $fileList = scandir($imagePath);
// print_r($fileList);
 $n = 0;
 $m = 0;
 foreach($fileList as $item)
 {
  if (is_dir($imagePath. $item))
  {
   $directory = $item;
   if (!($directory == "." or $directory == ".."))
   {
    $m++;
    echo "D ". $m. ": ". $directory. "\r\n";
    searchDir($imagePath. $directory. "/");
   }
  }
  else if (is_file($imagePath. $item))
  {
   $image = $item;
   $ext = strtolower(substr($image, -4));
   switch ($ext)
   {
    case ".png":
    case ".gif":
    case ".jpg":
    case ".bmp":
     $n++;
     echo "F ". $n. ": ". $image. "\r\n";
     if (!IMGP_ImageExists($image))                   // Image nur registrieren,
      IMGP_RegisterImage($image, $imagePath. $image); // wenn noch nicht vorhanden
    break;
   }
  }
 }
}
?>
